aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xzuwu.zsh9
1 files changed, 9 insertions, 0 deletions
diff --git a/zuwu.zsh b/zuwu.zsh
index e83df20..6839ba6 100755
--- a/zuwu.zsh
+++ b/zuwu.zsh
@@ -32,6 +32,15 @@ fi
noop() {}
+# Fix PATH
+if ! grep "$HOME/.local/bin" <<< "$PATH"; then
+ echo -n 'if ! grep "$HOME/.local/bin" <<< "$PATH"; then
+ export PATH="$PATH:$HOME/.local/bin"
+fi
+' >> "$HOME/.zshenv"
+ export PATH="$PATH:$HOME/.local/bin"
+fi
+
autoload -U up-line-or-beginning-search
autoload -U down-line-or-beginning-search